<% if @movies.present? %>
    <% @movies.each do |movie| %>
        <div class="movie">
            <div>
                <% url_image = movie['backdrop_path'].present? ? "#{ENV['IMG_URL']}#{movie['backdrop_path']}" : '/assets/generic.png'%>
                <%= image_tag url_image, alt:"#{movie['original_title']}" %>
                <div class="movie-info">
                    <h3 class="textfont"><%= movie['original_title'] %></h3>
                    <span class="green"><%= movie['vote_average'] %></span>
                </div>
                <div>
                <%= render "/movies/modal_form", 
                    overview: movie['overview'], title: movie['original_title'],
                    image_url: url_image %>
                </div>
            </div>
        </div>
        
    <% end %>


<% else %>    
    <div class="alert alert-warning" role="alert">
        Favor informar um filme para busca.
    </div>
    
<% end %>

